%define bname     qalculate

%define major     23
%define libname   %mklibname %{bname} %{major}
%define develname %mklibname %{bname} -d

Summary:	The library for qalculate
Name:		libqalculate
Version:	5.2.0
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
URL:		https://qalculate.github.io/
Source0:	https://github.com/Qalculate/libqalculate/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	doxygen
BuildRequires:	intltool
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(mpfr)
BuildRequires:	pkgconfig(readline)

%description
Libraries needed by qalculator.

%package -n qalculate
Summary:	Qalculate! multi-purpose calculator CLI
Group:		Sciences/Mathematics

%description -n qalculate
Qalculate! is a multi-purpose desktop calculator. It is small and
simple to use but with much power and versatility underneath. Features
include customizable functions, units, arbitrary precision, plotting.

%package -n %{libname}
Group:		System/Libraries
Summary:	The library for qalculate
Requires:	%{name}-data >= %{version}-%{release}

%description -n %{libname}
Libraries needed by qalculate.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:       %{bname}-devel
Provides:	%{name}-devel

%description -n %{develname}
Headers and development files for %{name}.

%package data
Summary:	Data files for %{name}
Group:		System/Libraries
BuildArch:	noarch

%description data
Data files for %{name}.

%prep
%setup -q

%build
%configure \
	--disable-static
%make_build

%install
%make_install

%find_lang %{name}

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n qalculate
%{_bindir}/qalc
%{_mandir}/man1/qalc.1*

%files data -f %{name}.lang
%{_datadir}/%{bname}/
%{_docdir}/%{name}/

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README* TODO
%{_includedir}/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Aug 29 2024 daviddavid <daviddavid> 5.2.0-2.mga10
+ Revision: 2092165
- enable html documentations

* Tue Aug 27 2024 mrambo3501 <mrambo3501> 5.2.0-1.mga10
+ Revision: 2091853
- fix files list again
- version 5.2.0
- major 23
- fix files list

* Tue Oct 10 2023 daviddavid <daviddavid> 4.8.0-2.mga10
+ Revision: 1994132
- rebuild for icu73

* Sun Sep 10 2023 wally <wally> 4.8.0-1.mga10
+ Revision: 1985912
- new version 4.8.0

* Sat Jan 07 2023 squidf <squidf> 4.5.1-2.mga9
+ Revision: 1931140
- Mass rebuild for icu 72.1

* Fri Jan 06 2023 wally <wally> 4.5.1-1.mga9
+ Revision: 1930694
- new version 4.5.1

* Sun Dec 04 2022 wally <wally> 4.4.0-1.mga9
+ Revision: 1917424
- new version 4.4.0

* Sun Aug 28 2022 wally <wally> 4.3.0-1.mga9
+ Revision: 1881429
- new version 4.3.0

* Wed Jun 22 2022 wally <wally> 4.2.0-1.mga9
+ Revision: 1865530
- new version 4.2.0

* Sat Jun 18 2022 squidf <squidf> 4.1.1-2.mga9
+ Revision: 1864870
- rebuild for icu 71.1

* Fri Apr 08 2022 wally <wally> 4.1.1-1.mga9
+ Revision: 1848155
- new version 4.1.1

* Wed Mar 23 2022 umeabot <umeabot> 3.22.0-2.mga9
+ Revision: 1822009
- Mageia 9 Mass Rebuild

* Sat Dec 18 2021 wally <wally> 3.22.0-1.mga9
+ Revision: 1762506
- new version 3.22.0

* Sun Oct 17 2021 wally <wally> 3.21.0-2.mga9
+ Revision: 1751954
- build with rpm-mageia-setup 2.62 having libtool RPATH fix

* Sun Oct 17 2021 wally <wally> 3.21.0-1.mga9
+ Revision: 1751934
- new version 3.21.0

* Sun Aug 08 2021 luigiwalser <luigiwalser> 3.20.1-1.mga9
+ Revision: 1740247
- 3.20.1
- library major is now 22

* Tue Aug 03 2021 luigiwalser <luigiwalser> 3.19.0-2.mga9
+ Revision: 1738942
- rebuild for icu

* Sun Jun 13 2021 wally <wally> 3.19.0-1.mga9
+ Revision: 1730595
- new version 3.19.0

* Sun Apr 18 2021 wally <wally> 3.18.0-1.mga9
+ Revision: 1716462
- new version 3.18.0

* Sat Feb 27 2021 wally <wally> 3.17.0-1.mga9
+ Revision: 1693078
- new version 3.17.0

* Mon Nov 30 2020 luigiwalser <luigiwalser> 3.15.0-2.mga8
+ Revision: 1650897
- rebuild for icu

* Sun Nov 29 2020 luigiwalser <luigiwalser> 3.15.0-1.mga8
+ Revision: 1650077
- 3.15.0

* Fri Oct 30 2020 wally <wally> 3.14.0-1.mga8
+ Revision: 1640690
- new version 3.14.0

* Sat Sep 26 2020 wally <wally> 3.13.0-1.mga8
+ Revision: 1630621
- new version 3.13.0

* Tue Aug 18 2020 wally <wally> 3.12.1-1.mga8
+ Revision: 1615107
- new version 3.12.1

* Sun Aug 09 2020 wally <wally> 3.12.0-1.mga8
+ Revision: 1612112
- new version 3.12.0

* Sun Jul 05 2020 wally <wally> 3.11.0-1.mga8
+ Revision: 1602327
- new version 3.11.0

* Wed Jul 01 2020 wally <wally> 3.10.0-2.mga8
+ Revision: 1601038
- rebuild for icu 67.1

* Sun May 17 2020 wally <wally> 3.10.0-1.mga8
+ Revision: 1584867
- new version 3.10.0

* Thu Apr 23 2020 wally <wally> 3.9.0-1.mga8
+ Revision: 1571414
- new version 3.9.0

* Sat Apr 04 2020 wally <wally> 3.8.0-2.mga8
+ Revision: 1564474
- rebuild for new icu 66.1

* Sat Mar 14 2020 wally <wally> 3.8.0-1.mga8
+ Revision: 1556377
- new version 3.8.0

* Wed Feb 19 2020 umeabot <umeabot> 3.6.0-3.mga8
+ Revision: 1542722
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jan 06 2020 luigiwalser <luigiwalser> 3.6.0-2.mga8
+ Revision: 1476810
- rebuild for readline

* Sun Dec 15 2019 wally <wally> 3.6.0-1.mga8
+ Revision: 1467501
- new version 3.6.0

* Sat Oct 05 2019 daviddavid <daviddavid> 3.3.0-2.mga8
+ Revision: 1449451
- rebuild for new icu 65.1

* Sat Aug 03 2019 wally <wally> 3.3.0-1.mga8
+ Revision: 1427122
- new version 3.3.0

* Tue Jul 02 2019 wally <wally> 3.2.0-1.mga8
+ Revision: 1417456
- new version 3.2.0

* Mon Jul 01 2019 wally <wally> 3.1.0-1.mga8
+ Revision: 1417281
- new version 3.1.0

* Thu Mar 28 2019 wally <wally> 3.0.0-1.mga7
+ Revision: 1380907
- new version 3.0.0
- new lib major 21

* Wed Jan 09 2019 wally <wally> 2.8.2-1.mga7
+ Revision: 1353705
- new version 2.8.2

* Sat Nov 17 2018 wally <wally> 2.8.1-1.mga7
+ Revision: 1330384
- new version 2.8.1
- new lib major 20

* Mon Aug 27 2018 daviddavid <daviddavid> 2.2.1-3.mga7
+ Revision: 1255075
- rebuild for new icu

* Mon Feb 26 2018 daviddavid <daviddavid> 2.2.1-2.mga7
+ Revision: 1205279
- rebuild for new mpfr 4.0.1

* Wed Jan 31 2018 wally <wally> 2.2.1-1.mga7
+ Revision: 1198300
- new version 2.2.1
- new lib major 14

* Fri Dec 29 2017 wally <wally> 2.1.0-2.mga7
+ Revision: 1186986
- rebuild for new icu

* Wed Oct 11 2017 wally <wally> 2.1.0-1.mga7
+ Revision: 1171034
- new version 2.1.0
- new lib major 12

* Sun Oct 01 2017 wally <wally> 2.0.0-1.mga7
+ Revision: 1162205
- new version 2.0.0
- new lib major 11

* Tue May 30 2017 wally <wally> 0.9.12-1.mga6
+ Revision: 1105606
- new version 0.9.12
- new lib major 9

* Sat Oct 08 2016 wally <wally> 0.9.10-1.mga6
+ Revision: 1059505
- new version 0.9.10
- introduce qalculate pkg for CLI

* Sat Aug 06 2016 wally <wally> 0.9.9-1.mga6
+ Revision: 1044762
- new version 0.9.9
- new libmajor 6
- update url

* Thu Feb 11 2016 umeabot <umeabot> 0.9.7-15.mga6
+ Revision: 955620
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 cjw <cjw> 0.9.7-14.mga6
+ Revision: 869540
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 0.9.7-13.mga5
+ Revision: 745081
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.7-12.mga5
+ Revision: 681730
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.7-11.mga4
+ Revision: 507289
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.7-10.mga3
+ Revision: 358024
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 wally <wally> 0.9.7-9.mga3
+ Revision: 291272
- rebuild due to a missing i586 pkgs

* Tue Aug 28 2012 wally <wally> 0.9.7-8.mga3
+ Revision: 284886
- disable static build and get rid of .la files
- drop old obsoletes/conflicts
- tag data pkg as noarch
- clean .spec a bit

* Sat Jan 15 2011 mikala <mikala> 0.9.7-7.mga1
+ Revision: 18682
- Remove mdk macro
- Remove BuildRoot
- imported package libqalculate


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.7-7mdv2011.0
+ Revision: 602598
- rebuild

* Wed Jan 27 2010 Anssi Hannula <anssi@mandriva.org> 0.9.7-6mdv2010.1
+ Revision: 496912
- fix conflicts against libqalculate4 in data package (reported by
  Thierry Vignaud)
- remove unneeded conflicts against older version of itself from the
  library package

* Tue Jan 26 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.7-3mdv2010.1
+ Revision: 496825
- fix conflicts

* Mon Jan 25 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.7-2mdv2010.1
+ Revision: 496463
- move data files, translations into a separate subpackage
- add conflicts on older library

* Sun Jan 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.7-1mdv2010.1
+ Revision: 495575
- update to new version 0.9.7
- bump major to 5
- drop both pacthes as they were merged by upstream

* Sun Sep 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-11mdv2010.0
+ Revision: 449885
- rebuild for new cln

* Wed Aug 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-10mdv2010.0
+ Revision: 410340
- rebuild against new cln

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-9mdv2009.0
+ Revision: 229884
- added a gcc43 patch

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Mar 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-7mdv2008.1
+ Revision: 182177
- Patch0: fix building against latest cln-1.2
- add missing buildrequires on readline and ncurses
- rebuild for new cln

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Jan 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-5mdv2008.1
+ Revision: 157616
- do not package COPYING files
- new license policy
- new devel policy
- move *.xml to library package, bug #36944

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-3mdv2008.0
+ Revision: 49821
- obsolete library

* Sat Jun 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-2mdv2008.0
+ Revision: 43510
-- obsolete older release

* Sat Jun 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-1mdv2008.0
+ Revision: 43493
- adjust buildrequires
- new version
- new devel library policy
- spec file clean


* Tue Jun 27 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.4-1mdv2007.0
- now a totally modular pkg
- 0.9.4
- update filelist

* Fri Dec 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-2mdk
- rebuild for new cln
- patch 0: fix compiling with g++-4

* Tue Feb 01 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Sat Jan 22 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7.1-4mdk
- rebuild for new readline

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.1-3mdk 
- Rebuild with latest howl

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.7.1-2mdk
- Fix BuildRequires
- Run scrollkeeper during post/postun

* Mon Nov 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Tue Oct 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Wed Jul 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Fri Jul 09 2004 Austin Acton <austin@mandrake.org> 0.6.1-1mdk
- 0.6.1
- configure 2.5

* Fri Jun 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Feb 18 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4

* Mon Oct 27 2003 Austin Acton <aacton@yorku.ca> 0.3.1-1mdk
- 0.3.1

* Wed Oct 22 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package

